<?php

namespace App\Notifications;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Notifications\Messages\MailMessage;
use Illuminate\Notifications\Notification;

class ResetPasswordNotification extends Notification
{
  use Queueable;
  public $url = "";

  /**
  * Create a new notification instance.
  *
  * @return void
  */
  public function __construct($url)
  {
    $this->url = $url;
  }

  /**
  * Get the notification's delivery channels.
  *
  * @param  mixed  $notifiable
  * @return array
  */
  public function via($notifiable)
  {
    return ['mail'];
  }

  /**
  * Get the mail representation of the notification.
  *
  * @param  mixed  $notifiable
  * @return \Illuminate\Notifications\Messages\MailMessage
  */
  public function toMail($notifiable)
  {
    return (new MailMessage)
    ->subject('Reset password')
    ->line('Hai ricevuto questa email perché abbiamo ricevuto una richiesta di reimpostazione della password per il tuo account.')
    ->action('Reset Password', $this->url)
    ->line("Questo link per la reimpostazione della password scadrà tra ".config('auth.passwords.'.config('auth.defaults.passwords').'.expire')." minuti.")
    ->line('Se non hai richiesto la reimpostazione della password, non sono necessarie ulteriori azioni.');
  }

  /**
  * Get the array representation of the notification.
  *
  * @param  mixed  $notifiable
  * @return array
  */
  public function toArray($notifiable)
  {
    return [
      //
    ];
  }
}
